<?xml version="1.0" encoding="ISO-8859-1"?>
<!--

    Copyright (C) 2020 eXo Platform SAS.
    
    This is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2.1 of
    the License, or (at your option) any later version.
    
    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.
    
    You should have received a copy of the GNU Lesser General Public
    License along with this software; if not, write to the Free
    Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
    02110-1301 USA, or see the FSF site: http://www.fsf.org.

-->

<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			   xsi:schemaLocation="http://www.exoplatform.org/xml/ns/kernel_1_3.xsd http://www.exoplatform.org/xml/ns/kernel_1_3.xsd"
			   xmlns="http://www.exoplatform.org/xml/ns/kernel_1_3.xsd">
	<!-- Customer Rate Gamification integration -->
	<external-component-plugins>
		<target-component>org.exoplatform.addons.gamification.service.setting.rule.RuleRegistry</target-component>
		<component-plugin>
			<name>rule.supportServiceRating</name>
			<set-method>addPlugin</set-method>
			<type>org.exoplatform.addons.gamification.service.setting.rule.model.RuleConfig</type>
			<init-params>
				<value-param>
					<name>rule-title</name>
					<value>supportServiceRating</value>
				</value-param>
				<value-param>
					<name>rule-description</name>
					<value>Support Service Rating</value>
				</value-param>
				<value-param>
					<name>rule-score</name>
					<value>30</value>
				</value-param>
				<value-param>
					<name>rule-zone</name>
					<value>Feedback</value>
				</value-param>
				<value-param>
					<name>rule-enable</name>
					<value>true</value>
				</value-param>
			</init-params>
		</component-plugin>
	</external-component-plugins>

	<external-component-plugins>
		<!-- The full qualified name of the ResourceBundleService -->
		<target-component>org.exoplatform.services.resources.ResourceBundleService</target-component>
		<component-plugin>
			<!-- The name of the plugin -->
			<name>Gamification ResourceBundle Plugin</name>
			<!-- The name of the method to call on the ResourceBundleService in order to register the ResourceBundles -->
			<set-method>addResourceBundle</set-method>
			<!-- The full qualified name of the BaseResourceBundlePlugin -->
			<type>org.exoplatform.services.resources.impl.BaseResourceBundlePlugin</type>
			<init-params>
				<values-param>
					<name>classpath.resources</name>
					<description>Store the following resources into the db for the first launch </description>
					<value>locale.addon.Gamification</value>
				</values-param>
				<values-param>
					<name>portal.resource.names</name>
					<description>The properties files of the portal , those file will be merged
						into one Resoruce Bundle properties </description>
					<value>locale.addon.Gamification</value>
				</values-param>
			</init-params>
		</component-plugin>
	</external-component-plugins>
</configuration>
